Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezarticle/user/menubox.php File Reference

Go to the source code of this file.

## Functions
| createArticleMenu ( $menuCacheFile=false, $ini=null, $Language=null, $GlobalSiteDesign=null, $GlobalSectionID=null, $CategoryID=null, $url_array=null)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $PageCaching = $ini->variable( "eZArticleMain", "PageCaching" )
if( $PageCaching=="enabled") | else

## Function Documentation

## ◆ createArticleMenu()

createArticleMenu | ( |  | $menuCacheFile = `false`,
|  |  | $ini = `null`,
|  |  | $Language = `null`,
|  |  | $GlobalSiteDesign = `null`,
|  |  | $GlobalSectionID = `null`,
|  |  | $CategoryID = `null`,
|  |  | $url_array = `null`
| ) |  |

Definition at line 37 of file ezarticle/user/menubox.php.

References $CategoryID, $GlobalSectionID, $GlobalSiteDesign, $i, $ini, $Language, $output, $t, $url_array, eZUser\currentUser(), and eZObjectPermission\hasPermission().

## Variable Documentation

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file ezarticle/user/menubox.php.

Referenced by createArticleMenu().

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 34 of file ezarticle/user/menubox.php.

Referenced by createArticleMenu().

## ◆ $PageCaching

$PageCaching = $ini->variable( "eZArticleMain", "PageCaching" )

Definition at line 35 of file ezarticle/user/menubox.php.

## ◆ else

if ($PageCaching=="enabled") else

Initial value:
{
createArticleMenu( false, $ini, $Language, $GlobalSiteDesign, $GlobalSectionID, $CategoryID, $url_array )
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$GlobalSectionID
$GlobalSectionID
Definition: ezad/user/datasupplier.php:28
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
createArticleMenu
createArticleMenu( $menuCacheFile=false, $ini=null, $Language=null, $GlobalSiteDesign=null, $GlobalSectionID=null, $CategoryID=null, $url_array=null)
Definition: ezarticle/user/menubox.php:37
$Language
$Language
Definition: ezarticle/user/menubox.php:34
$ini
$ini
Definition: ezarticle/user/menubox.php:33
$GlobalSiteDesign
global $GlobalSiteDesign
Definition: latestmessages.php:52

Definition at line 173 of file ezarticle/user/menubox.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.